# RDF-Spezifikationen am Technikum Wien

Diese Seite beschreibt den Inhalt und die Verwendung aller vorhandenen RDF-Files am Technikum Wien. Die gesamte RDF-Struktur ist gerade im Aufbau und kann sich deshalb jederzeit ändern. Es sei darauf hingewiesen, dass die RDF-Files von heute, morgen vielleicht gar nicht mehr oder anders zu verwenden sind.

## Student

Aufruf: student.rdf.php?studiengang_kz=...&semester=...&verband=...&gruppe=...&gruppe_kurzbz=...&uid=...&studiensemester_kurzbz=...
Beispiel: student.rdf.php?studiengang_kz=227&semester=1&studiensemester_kurzbz=WS2008&typ=student
Parameter:

- studiengang_kz: Studiengangskennzahl
- studiensemester_kurzbz: Studiensemester (WS2008, SS2009, WS2009,...)
- typ: student
- semester: Semester (optional)
- verband: Verband (optional)
- gruppe: Gruppe (optional)
- gruppe_kurzbz: Spezialgruppen, Module, ... (optional)
- uid: UID eines bestimmten Studenten (Wenn gesetzt werden alle anderen Parameter nicht verwendet)
- typ: Typ der gelieferten Personen (student, prestudent, interressent, bewerber, aufgenommen, warteliste, absage, zgv, reihungstestangeledet, reihungstestnichtangemeldet)
- prestudent_id: Prestudent_id
- xmlformat: Wenn xmlformat=xml dann wird ein XML statt dem RDF geliefert
- filter: Alle Personen die filter im Nachnamen enthalten

Attribute:

- uid
- titel
- vornamen
- nachname
- matrikelnummer
- geburtsdatum
- email
- homepage
- aktiv
- gebort
- gebzeit
- foto
- anmerkungen
- updateamum
- updatevon
- gruppe
- verband
- semester
- studiengang_kz
- stg_bezeichnung

## Lehrstunde

Aufruf: lehrstunde.rdf.php?datum=...&datum_bis=...stg_kz=...&sem=...&ver=...&grp=...&einheit=...
Beispiel: lehrstunde.rdf.php?datum=2006-03-20&type=verband&stg_kz=258
Parameter:

- datum
- datum_bis: Endedatum (optional)
- stunde
- type
- stg_kz
- sem
- ver
- grp
- einheit
- pers_uid
- ort_kurzbz

Attribute:

- datum
- stunde
- unr
- ort_kurzbz
- lehrfach
- lehrfach_bez
- lehrform
- lektor
- semester
- verband
- gruppe
- einheit
- lehrform
- studiengang
- farbe
- anmerkung

## LVInfo

Liefert das RDF für die Lehrveranstaltungsinformationen
Aufruf: lvinfo.rdf.php?stg_kz=...&semester=...
Beispiel: lvinfo.rdf.php?stg_kz=258&semester=2
Parameter:

- stg_kz - Studiengangskennzahl
- semester - Semester (optional)

Attribute:

- lehrveranstaltung_id
- kurzbz
- bezeichnung
- studiengang_kz
- semester
- lehreverzeichnis
- unterrichtssprache
- ects
- semesterstunden
- sprache
- titel
- lehrziele
- lehrinhalte
- methodik
- voraussetzungen
- unterlagen
- pruefungsordnung
- anmerkungen
- kurzbeschreibung